LibreOffice: XParser Interface Reference

LibreOffice LibreOffice 26.8 SDK API Reference

Loading...
Searching...
No Matches
XParser Interface Referencepublished

specifies a SAX parser. More...

`import "XParser.idl";`

Inheritance diagram for XParser:

## Public Member Functions
void | parseStream ([in] com::sun::star::xml::sax::InputSource aInputSource) raises ( com::sun::star::xml::sax::SAXException, com::sun::star::io::IOException )
| parses an XML document from a stream.
void | setDocumentHandler ([in] com::sun::star::xml::sax::XDocumentHandler xHandler)
| allows an application to register a document event handler.
void | setErrorHandler ([in] com::sun::star::xml::sax::XErrorHandler xHandler)
| allows an application to register an error event handler.
void | setDTDHandler ([in] com::sun::star::xml::sax::XDTDHandler xHandler)
| allows an application to register a DTD-Handler.
void | setEntityResolver ([in] com::sun::star::xml::sax::XEntityResolver xResolver)
| allows an application to register a DTD-Handler.
void | setLocale ([in] com::sun::star::lang::Locale locale)
| sets a locale specified for localization of warnings and error messages.
Public Member Functions inherited from XInterface
any | queryInterface ([in] type aType)
| queries for a new interface to an existing UNO object.
void | acquire ()
| increases the reference counter by one.
void | release ()
| decreases the reference counter by one.

## Detailed Description

specifies a SAX parser.

This interface is an IDL version of the Java interface org.xml.sax.Parser with some minor adaptations.

## Member Function Documentation

## ◆ parseStream()

void parseStream | ( | [in] com::sun::star::xml::sax::InputSource | aInputSource | ) |
raises | ( | com::sun::star::xml::sax::SAXException,
|  | com::sun::star::io::IOException ) |  |  |

parses an XML document from a stream.

Set the desired handlers before calling this method.

## ◆ setDocumentHandler()

void setDocumentHandler | ( | [in] com::sun::star::xml::sax::XDocumentHandler | xHandler | ) |

allows an application to register a document event handler.

## ◆ setDTDHandler()

void setDTDHandler | ( | [in] com::sun::star::xml::sax::XDTDHandler | xHandler | ) |

allows an application to register a DTD-Handler.

## ◆ setEntityResolver()

void setEntityResolver | ( | [in] com::sun::star::xml::sax::XEntityResolver | xResolver | ) |

allows an application to register a DTD-Handler.

## ◆ setErrorHandler()

void setErrorHandler | ( | [in] com::sun::star::xml::sax::XErrorHandler | xHandler | ) |

allows an application to register an error event handler.

Note that the error handler can throw an exception when an error or warning occurs. Note that an exception is thrown by the parser when an unrecoverable (fatal) error occurs.

## ◆ setLocale()

void setLocale | ( | [in] com::sun::star::lang::Locale | locale | ) |

sets a locale specified for localization of warnings and error messages.

Set the language of the error messages. Useful when the parsing errors will be presented to the user.

The documentation for this interface was generated from the following file:

- com/sun/star/xml/sax/XParser.idl